Subject: Re-2: Capital letters do not work when using vi as git editor

From: "Daniel Dyk" <[email-masked]>
Date: Thu, 25 Jun 2020 13:46:21 +0000

Installing the latest snapshot resolved it, thanks. 

Daniel

-------- Original Message --------
Betreff: Re: Capital letters do not work when using vi as git editor (25. Juni 2020, 15:39)
Von:     Philip Oakley <[email-masked]>
An:      Daniel Dyk <[email-masked]>
         [email-masked] <[email-masked]>

> On 25/06/2020 11:21, Daniel Dyk wrote:
> > Hi git-devs,
> >
> >
> > I installed git 2.27.0 on a fresh Windows 10 system, there where no old 
> > installations of mingw or git. Unfortunatly I have encountered a bug with 
> > vim when doing 'git rebase -i' or 'git commit':
> >
> > I am not able to type capital letters, so commands for selecting rows (<
> > Shift>V), pasting above (<Shift>P) etc are not working. I am also not able 
> > to type 'ABCDE' in insertion mode. Small letters and capital umlauts (ÄÖÜ) 
> > work. If I open the vi without git, I can type the capital letters. If I 
> > use nano as editor, I can type capital letters as well. 
> >
> > Downgrading to git 2.24.1.2 solved the problem for now (I double checked 
> > and reinstalled 2.27.0 again => same issue).
> >
> If I remember correctly this occurred because of changes to the terminal
> support used. It's been reported on the Git-for-Windows Issues [1] list
> and a fresh snapshot [2] created that resolves the problem .
> 
> Philip
> 
> [1] https://github.com/git-for-windows/git/issues/2689
> [2] https://wingit.blob.core.windows.net/files/index.html

To: [email-masked]
    [email-masked]